Show / Hide Table of Contents

# Class OpenIddictBuilder

Provides a shared entry point allowing to configure the OpenIddict services.

##### Inheritance

System.Object
OpenIddictBuilder

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictBuilder

### Constructors

#### OpenIddictBuilder(IServiceCollection)

Initializes a new instance of OpenIddictBuilder.

##### Declaration

    public OpenIddictBuilder(IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.